### Method

# Gtk.RecentManager.add_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_add_item (
      GtkRecentManager* manager,
      const char* uri
    )

#### Description [src]

Adds a new resource, pointed by `uri`, into the recently used resources list.

This function automatically retrieves some of the needed metadata and setting other metadata to common default values; it then feeds the data to `gtk_recent_manager_add_full()`.

See `gtk_recent_manager_add_full()` if you want to explicitly define the metadata for the resource pointed by `uri`.

#### Parameters

`uri` | `const char*`
| a valid URI
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` if the new item was successfully added to the recently used resources list